struct rio_dev
Prev | Structures | Next

## Name

struct rio_dev — RIO device info

## Synopsis

    struct rio_dev {
      struct list_head global_list;
      struct list_head net_list;
      struct rio_net * net;
      u16 did;
      u16 vid;
      u32 device_rev;
      u16 asm_did;
      u16 asm_vid;
      u16 asm_rev;
      u16 efptr;
      u32 pef;
      u32 swpinfo;
      u32 src_ops;
      u32 dst_ops;
      u64 dma_mask;
      struct rio_switch * rswitch;
      struct rio_driver * driver;
      struct device dev;
      struct resource riores[RIO_MAX_DEV_RESOURCES];
      u16 destid;
    };

## Members

global_list

  Node in list of all RIO devices

net_list

  Node in list of RIO devices in a network

net

  Network this device is a part of

did

  Device ID

vid

  Vendor ID

device_rev

  Device revision

asm_did

  Assembly device ID

asm_vid

  Assembly vendor ID

asm_rev

  Assembly revision

efptr

  Extended feature pointer

pef

  Processing element features

swpinfo

  Switch port info

src_ops

  Source operation capabilities

dst_ops

  Destination operation capabilities

dma_mask

  Mask of bits of RIO address this device implements

rswitch

  Pointer to struct rio_switch if valid for this device

driver

  Driver claiming this device

dev

  Device model device

riores[RIO_MAX_DEV_RESOURCES]

  RIO resources this device owns

destid

  Network destination ID

Prev | Up | Next
Chapter 4. Internals | Home | struct rio_msg